<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    {{ if isset .Params "description" }}
    <meta name="description" content="{{ .Params.description }}">
    <meta property="og:description" content="{{ .Params.description }}">
    <meta name="twitter:description" content="{{ .Params.description }}">
    {{ end }}

    {{ if isset .Params "shorttitle" }}
    <title>{{ .Params.shortTitle }} - {{ .Params.version }} - {{ .Site.Title }}</title>
    <meta property="og:title" content="{{ .Params.shortTitle }} - {{ .Params.version }} - {{ .Site.Title }}">
    {{ else }}
    <title>{{ .Title }} - {{ .Site.Title }}</title>
    <meta property="og:title" content="{{ .Title }} - {{ .Site.Title }}">
    {{ end }}
    <meta property="og:type" content="website">
    <meta property="og:url" content="{{.Permalink}}">
    <meta property="og:site_name" content="go-semrel-gitlab">
    <meta property="og:updated_time" content="{{now}}">
    <meta name="twitter:card" content="summary">
    <meta name="twitter:creator" content="@juranki">
    <meta name="keywords" content="semantic versioning,semver,semantic release,git,gitlab,automation,tag,commit,release note,changelog,change log,release,go-semrel-release">
    <meta name="author" content="Juhani Ränkimies">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="https://fonts.googleapis.com/css?family=Open+Sans|Roboto|Roboto+Mono" rel="stylesheet">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css" integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">
    <link rel="icon" href="{{.Site.BaseURL}}/r.png" type="image/png">
    <link rel="canonical" href="{{.Permalink}}">
    <script async src="https://www.googletagmanager.com/gtag/js?id={{ .Site.GoogleAnalytics }}"></script>
    <meta name="msvalidate.01" content="AC6D421F4EC0FAC831BBC987A808166E" />
    <script>
      window.dataLayer = window.dataLayer || [];
      function gtag(){dataLayer.push(arguments);}
      gtag('js', new Date());
  
      gtag('config', '{{ .Site.GoogleAnalytics }}');
    </script>
    <style>
        body {font-family: "Open Sans", sans-serif; line-height: 1.8; }
        h1,h2,h3,h4,h5,h6 {font-family: "Roboto", sans-serif; font-weight: normal;}
        pre,code {font-family: "Roboto+Mono", monospace}
        .content > * {max-width: 550px;}
        .content > ul {max-width: 500px;}
        .content > blockquote {max-width: 500px; border-left: 3px solid #dcdcdc;
        margin: 0; padding-left: 1em;}
        .content > pre {overflow-x: auto; background: {{ .Site.Params.nav  }}; border: 1px solid #dcdcdc; padding: 4px;}
        .content > pre:hover {overflow-x:scroll; max-width: unset;}
        .content > table {overflow:unset; max-width: unset;}
        nav {
            background: {{ .Site.Params.nav  }}; padding: 0px; color: #595f64;
            transition: width 0.5; overflow: auto; z-index: 20; line-height: 1.5;
        }
        .nav-pad {padding: 0 20px;}
        .nav-pad-2 {padding: 0 10px;}
        .hide-nav nav {width: 0px;}
        .nav-toggle-on {
            color: #595f64;
            position: fixed; top: 0; left: 0; padding: 4px 4px;}
        /* .nav-toggle-off {
            background: {{ .Site.Params.nav  }}; color: white; z-index: 10;
            position: fixed; top: 0; left: 295px; padding: 4px;} */
        .hide-nav .nav-toggle-off {visibility: hidden; display: none;} 
        nav h1 ,nav h2, nav h3 {margin: 1em 0 0 0;font-weight: lighter;}
        nav a {text-decoration: none; color: #595f64; font-weight: lighter; font-size: 105%}
        pre.cli {overflow: auto; max-width: unset; background: unset; border: unset;}
        table {border-spacing: 1em 0;}
        th {
            border-bottom: 1px solid black;
            padding: 0 0.5em 0 0.5em;
        }
        td { padding: 0 1em 0 1em; }
        .overlay {position: fixed; top: 0; left: 0; right: 0; bottom: 0; background:rgba(0, 0, 0, 0.5);display: none;z-index: 10;}
        .other-versions {
            background: {{ .Site.Params.nav  }}; 
            color: #595f64;
        }
        .other-versions a {text-decoration: none; color: #595f64; font-weight: lighter;}
        .other-versions h1 ,.other-versions h2, .other-versions h3 {margin: 1em 20px 10px 20px;}
        .dropdown-content {
            padding-left: 20px;
            padding-bottom: 20px;
            display: none;
            position: absolute;
            background: {{ .Site.Params.nav  }};
            min-width: 160px;
            z-index: 1;
        }

        .dropdown:hover .dropdown-content {display: block;}
        @media only screen and (min-width: 1250px) {
            .other-versions {position: fixed; right: 0; top:0;}
            nav {position: fixed; left: 0; top: 0; bottom: 0; width: 400px;} 
            .content {padding-left: 450px; padding-right: 30px;}
        }
        @media only screen and (min-width: 1024px) and (max-width: 1249px) {
            .dropdown-content { display: block; position: inherit }
            nav {position: fixed; left: 0; top: 0; bottom: 0; width: 350px;}
            .content {padding-left: 390px; padding-right: 30px;}
        }
        @media only screen and (min-width: 651px) and (max-width: 1023px) {
            .dropdown-content { display: block; position: inherit }
            nav {position: fixed; left: 0; top: 0; bottom: 0; width: 0; }
            nav > * {display: none;}
            .show-nav nav {position: fixed; left: 0; top: 0; bottom: 0; width: 350px; }
            .show-nav nav > * {display: block;}
            .show-nav .overlay {display: block;}
            .content {padding-left: 50px;}
        }
        @media only screen and (max-width: 650px) {
            .dropdown-content { display: block; position: inherit }
            .content > * {max-width: unset;}
            .content > ul {max-width: unset;}
            .content > blockquote {max-width: unset;}
            nav {position: fixed; left: 0; top: 0; bottom: 0; width: 0; }
            .show-nav nav {position: fixed; left: 0; top: 0; bottom: 0; width: 80%; }
            .show-nav nav > * {display: block;}
            .show-nav .overlay {display: block;}
            .content {padding-left: 1em; padding-right: 1em;}
        }
        .nav-h1 {
            margin-block-start: 0.83em;
            margin-block-end: 0.83em;
        }
        .nav-h1 a {
            font-size: 1.6em;
            font-weight: bold;
            color:darkred;
        }
        .version {
            padding-top: 2em;
            padding-left: 1em;
            padding-bottom: 0.5em;
        }
        .download-version-head { margin-bottom: 0px; }
    </style>

</head>
<body>
    <div class="nav-toggle-on"><i onclick="toggleMenu()" class="fas fa-bars fa-2x"></i></div>
    <!-- <div class="nav-toggle-off" id="nav-toggle-off"><i onclick="toggleMenu()" class="fas fa-times fa-3x"></i></div> -->
    <nav id="nav">
        <div class="nav-pad">
            <div class="nav-h1"><a href="{{.Site.BaseURL}}">go-semrel-gitlab</a></div>
            <div class="nav-pad-2">
            <div>
                <a href="{{.Site.BaseURL}}">Introduction</a>
            </div>
             <!-- range (where .Site.RegularPages "Section" "howto").ByWeight }} -->
            {{ range (where .Site.RegularPages "Section" "").ByWeight }}
                <div>
                    <a href="{{.URL}}">{{.Title}}</a>
                </div>
            {{ end }}
            </div>
            <h2>Commands</h2>
            <div class="nav-pad-2">
                {{ range (where .Site.RegularPages "Section" "cli").ByWeight }}
                    {{ if (eq .Params.version .Site.Params.currentVersion)}}
                        <div>
                            <a href="{{.URL}}">{{.Params.shortTitle}}</a>
                        </div>
                    {{ end }}
                {{ end }}    
            </div>
            <h2>Gitlab</h2>
            <div class="nav-pad-2">
                <div><a href="https://gitlab.com/juhani/go-semrel-gitlab">Project</a></div>
                <div><a href="https://gitlab.com/juhani/go-semrel-gitlab/issues">Issues</a></div>
            </div>
            <div class="version">{{.Site.Params.currentVersion}}<br>{{.Site.Params.releaseDate}}</div>
        </div>
    </nav>
    <div class="overlay" onclick="toggleMenu()"></div>
    
    <div class="content">
    {{ block "main" . }}

    {{ end }}
    </div>

    <script>
        function toggleMenu() {
            var root = document.documentElement
            if (root.classList.contains("show-nav")) {
                root.classList.remove("show-nav")
            } else {
                root.classList.add("show-nav")
            }
        }
    </script>
</body>
</html>